﻿using Infragistics.Win.DataVisualization;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraDataChartLargeNumberDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ViewModel vm = new ViewModel();

            NumericXAxis xAxis = new NumericXAxis();
            NumericYAxis yAxis = new NumericYAxis();

            xAxis.AbbreviateLargeNumbers = true;

            ultraDataChart1.Axes.Add(xAxis);
            ultraDataChart1.Axes.Add(yAxis);            

            ScatterSeries series = new ScatterSeries() { XAxis = xAxis, YAxis = yAxis, DataSource = vm.Data, XMemberPath = "XValue", YMemberPath = "YValue" };
            ultraDataChart1.Series.Add(series);
        }
    }
}
