﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UltraDataChartLargeNumberDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            for (int i = 0; i < 200; i++)
            {
                long x = (long)i * 1000000000;
                double y = i;

                SampleData sd = new SampleData() { XValue = x, YValue = y };
                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public double YValue { get; set; }
        public long XValue { get; set; }
    }
}
